Bug 115017 - Not all XSLT transformers use the ErrorListeners to report errors
Not all XSLT transformers use the ErrorListeners to report errors
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Randy Graebner
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-05 11:08 EST by Daniel Berrange
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:46:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-02-05 11:08:31 EST
Description of problem:
In testing of the Themes application is was discovered that some XSLT
engines do not actually use the ErrorListeners for reporting errors -
merely throwing the exceptions as usual. This means that templates
uploaded to the themes app appear to validate ok, but in fact fail in
use. We can work around this by catching an TransformerException's
thrown and explicitly invoking the fatalError(TransformerException)
method on the supplied listeneer ourselves.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Configure CCM to use JD.XSLT
2. Upload XSL with malformed XML tags 
3. Run theme validation
  
Actual results:
Validation passes, but errors are displayed in the logs.

Expected results:
Validation fails & errors reported through the UI.

Additional info:
Comment 1 Randy Graebner 2004-02-23 09:54:22 EST
Changes 40660 and 40659 should fix this problem by checking for the
extra error types.
Comment 2 David Lawrence 2006-07-17 23:06:54 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.
Comment 3 Daniel Berrange 2006-09-02 13:46:41 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.